> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voicebot.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# List Files

> List all files for the current user's organization

Args:
    membership: Membership information
    db: MongoDB database instance



## OpenAPI

````yaml get /api/v1/files
openapi: 3.1.0
info:
  title: Voicebot Public API
  description: Public API for Voicebot Assistant Management
  version: 1.0.0
servers: []
security: []
paths:
  /api/v1/files:
    get:
      tags:
        - files
      summary: List Files
      description: |-
        List all files for the current user's organization

        Args:
            membership: Membership information
            db: MongoDB database instance
      operationId: list_files_api_v1_files_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FileResponse'
                type: array
                title: Response List Files Api V1 Files Get
      security:
        - APIKeyHeader: []
components:
  schemas:
    FileResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        originalName:
          anyOf:
            - type: string
            - type: 'null'
          title: Originalname
        size:
          type: number
          title: Size
        mimeType:
          type: string
          title: Mimetype
        purpose:
          type: string
          title: Purpose
        key:
          anyOf:
            - type: string
            - type: 'null'
          title: Key
        path:
          type: string
          title: Path
        bucket:
          type: string
          title: Bucket
        url:
          type: string
          title: Url
        metadata:
          anyOf:
            - type: object
            - type: 'null'
          title: Metadata
        createdAt:
          type: string
          format: date-time
          title: Createdat
        updatedAt:
          type: string
          format: date-time
          title: Updatedat
        organizationId:
          type: string
          title: Organizationid
        isDeleted:
          type: boolean
          title: Isdeleted
      type: object
      required:
        - id
        - name
        - size
        - mimeType
        - purpose
        - path
        - bucket
        - url
        - createdAt
        - updatedAt
        - organizationId
        - isDeleted
      title: FileResponse
      description: Schema for file response
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````